Atk::NoOpObject Class Reference

An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces. More...

`#include <atkmm/noopobject.h>`

Inheritance diagram for Atk::NoOpObject:
[legend]

List of all members.

## Public Member Functions

AtkNoOpObject* | gobj ()
| Provides access to the underlying C GObject.
const AtkNoOpObject* | gobj () const
| Provides access to the underlying C GObject.
AtkNoOpObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Atk::NoOpObject > | wrap (AtkNoOpObject* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces.

It is the type of Atk::Object which is created if an accessible object is requested for an object type for which no factory type is specified.

## Friends And Related Function Documentation

Glib::RefPtr< Atk::NoOpObject > wrap | ( | AtkNoOpObject * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.